Deployments.ai Docs
Extensions

Create an MCP connection

POST /v1/mcp-connections · SDK createMcpConnection · CLI deployments mcp-connection create

POST
/v1/mcp-connections

Authorization

platformBearer
headerAuthorizationBearer <token>

Platform bearer credential accepted as an opaque API key or JWT.

Header Parameters

x-deployments-environment*string
Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$
idempotency-key*string
Length1 <= length <= 512

Request Body

application/json
  1. body
mcpServerId*string
Match^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$

Response Body

McpConnectionResponse

application/json
  1. response
createdAt*string
Match^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
Formatdate-time
id*string
Match^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$
mcpServerId*string
Match^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$
status*string
updatedAt*string
Match^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
Formatdate-time
version*integer
Range0 <= value
curl -X POST "https://example.com/v1/mcp-connections" \  -H "x-deployments-environment: string" \  -H "idempotency-key: string" \  -H "Content-Type: application/json" \  -d '{    "mcpServerId": "string"  }'
{  "createdAt": "2019-08-24T14:15:22Z",  "id": "string",  "mcpServerId": "string",  "status": "string",  "updatedAt": "2019-08-24T14:15:22Z",  "version": 0}